## GwyLayerCross

GwyLayerCross — Data view layer for selections along either axis

## Functions

GwyVectorLayer * | gwy_layer_cross_new ()
GwyDirectionFlags | gwy_layer_cross_get_directions ()
void | gwy_layer_cross_set_directions ()
gdouble | gwy_layer_cross_get_thickness ()
void | gwy_layer_cross_set_thickness ()

## Properties

GwyDirectionFlags | directions | Read / Write
double | thickness | Read / Write

## Types and Values

struct | GwyLayerCross
struct | GwyLayerCrossClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GwyDataViewLayer
                ╰── GwyVectorLayer
                    ╰── GwyLayerCross

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyLayerCross allows selection of lines oriented along either of the cardinal axes or both. It uses GwySelectionPoint selection type.

## Functions

### gwy_layer_cross_new()

    GwyVectorLayer *
    gwy_layer_cross_new (void);

Creates a new cross vector layer.

#### Returns

A newly created cross vector layer.

### gwy_layer_cross_get_directions()

    GwyDirectionFlags
    gwy_layer_cross_get_directions (GwyLayerCross *layer);

Reports the directions of a cross vector layer.

See `gwy_layer_cross_get_directions()` for how the directions are interpreted.

#### Parameters

layer | A cross vector layer. |

#### Returns

Along which axes the selection is considered to be oriented.

### gwy_layer_cross_set_directions()

    void
    gwy_layer_cross_set_directions (GwyLayerCross *layer,
                                    GwyDirectionFlags directions);

Sets the directions of a cross vector layer.

Note that lines are drawn along directions perpendicular to `directions` . For instance, if `directions` is `GWY_DIRECTION_HORIZONTAL` (the default), it means selection of positions along the `x` -axis, which are indicated by vertical lines in the image. This is consistent with other orientable selections

#### Parameters

layer | A cross vector layer. |
directions | Along which axes the selection is considered to be oriented. |

### gwy_layer_cross_get_thickness()

    gdouble
    gwy_layer_cross_get_thickness (GwyLayerCross *layer);

Gets the size of markers denoting line thickness.

#### Parameters

layer | A cross vector layer. |

#### Returns

Line thickness.

### gwy_layer_cross_set_thickness()

    void
    gwy_layer_cross_set_thickness (GwyLayerCross *layer,
                                   gdouble thickness);

Sets the size of markers denoting line thickness.

#### Parameters

layer | A cross vector layer. |
thickness | Marker size, denoting line thickness. |

## Types and Values

### struct GwyLayerCross

    struct GwyLayerCross;

### struct GwyLayerCrossClass

    struct GwyLayerCrossClass {
        GwyVectorLayerClass parent_class;
    };

## Property Details

### The `“directions”` property

      “directions”               GwyDirectionFlags

Along which axes the selection is considered to be oriented, i.e. perpendicular to which axes the lines are drawn.

Owner: GwyLayerCross

Flags: Read / Write

Default value: GWY_DIRECTION_HORIZONTAL

### The `“thickness”` property

      “thickness”                double

Size of markers denoting line thickness.

Owner: GwyLayerCross

Flags: Read / Write

Allowed values: [0,1024]

Default value: 0

## See Also

GwyLayerAxis